Subject: Re: [PATCH 2/2] t/Makefile: always test all lint targets when running tests

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2014 11:13:11 -0700

Jens Lehmann <[email-masked]> writes:

> Only the two targets "test-lint-duplicates" and "test-lint-executable" are
> currently executed when running the test target. This was done on purpose
> when the TEST_LINT variable was added in 81127d74. But as this does not
> include the "test-lint-shell-syntax" target added the same day in commit
> c7ce70ac, it is easy to accidentally add non portable shell constructs
> without noticing that when running the test suite.

I not running the lint-shell-syntax that is fundamentally flaky to
avoid false positives is very much on purpose.  The flakiness is not
the fault of the implementor of the lint-shell-syntax, but comes
from the approach taken to pretend that simple pattern matching can
parse shell scripts.  It may not complain on the current set of
scripts, but that is not really by design but by accident.

So I am not very enthusiastic to see this change myself.